Ubuntu

imagemagick missing thresholds.xml

Reported by Tim Cole on 2008-11-29
4
Affects Status Importance Assigned to Milestone
ImageMagick
Fix Released
Unknown
imagemagick (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: imagemagick

Description: Ubuntu 8.10
Release: 8.10

imagemagick:
  Installed: 7:6.3.7.9.dfsg1-2ubuntu3
  Candidate: 7:6.3.7.9.dfsg1-2ubuntu3
  Version table:
 *** 7:6.3.7.9.dfsg1-2ubuntu3 0
        500 http://us.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

---

Ubuntu's imagemagick package is missing several essential config files like thresholds.xml; running `convert -list threshold` should produce a list of ordered dither maps, but instead it produces this:

    Threshold Maps for Ordered Dither Operations
 convert: unable to access configure file `thresholds.xml'.

Tim Cole (tcole) wrote :

This appears to have been addressed in Debian, but the packaging fix is not part of Intrepid yet.

Changed in imagemagick:
status: Unknown → Fix Released
Przemysław Kulczycki (azrael) wrote :

Changes:
 imagemagick (7:6.4.0.1.dfsg1-1) experimental; urgency=low
 .
   * New upstream release (Closes: #469819);
   * Fix ImageMagick's README.txt encoding (Closes: #465717);
   * debian/control:
     - replace build-depends libz-dev -> zlib1g-dev;
     - remove versioned build-depends on libpng12-dev.
   * Bumped compat level to 6;
   * Add debug package (Closes: #471715);
   * Change maintainer to ImageMagick Packaging Team
     <email address hidden>;
   * Split imagemagick into imagemagick and imagemagick-doc (Closes: #233376);
   * Doesn't ship static libraries into imagemagick (Closes: #465595);
   * Include previously missing config files (Closes: #470777);

# jaunty (graphics): image manipulation programs
7:6.4.5.4.dfsg1-1ubuntu3.1 [security]: amd64 i386
also provided by: graphicsmagick-imagemagick-compat
# jaunty-updates (graphics): image manipulation programs
7:6.4.5.4.dfsg1-1ubuntu3.1: amd64 i386
also provided by: graphicsmagick-imagemagick-compat
# karmic (graphics): image manipulation programs
7:6.5.1.0-1.1ubuntu3: amd64 i386
also provided by: graphicsmagick-imagemagick-compat
# lucid (graphics): image manipulation programs
7:6.5.7.8-1ubuntu1: amd64 i386
also provided by: graphicsmagick-imagemagick-compat

This is fixed in Jaunty and later.

Changed in imagemagick (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.